# Generated by rust2rpm
%bcond_without check

%global crate tokei

Name:           rust-%{crate}
Version:        7.0.3
Release:        4%{?dist}
Summary:        Utility that allows you to count code, quickly

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/tokei
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump handlebars to 1, https://github.com/Aaronepower/tokei/pull/240
Patch0:         tokei-7.0.3-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(clap) >= 2.24.0 with crate(clap) < 3.0.0)
BuildRequires:  (crate(encoding) >= 0.2.0 with crate(encoding) < 0.3.0)
BuildRequires:  (crate(env_logger) >= 0.5.0 with crate(env_logger) < 0.6.0)
BuildRequires:  (crate(hex) >= 0.3.0 with crate(hex) < 0.4.0)
BuildRequires:  (crate(ignore) >= 0.4.0 with crate(ignore) < 0.5.0)
BuildRequires:  (crate(log) >= 0.4.0 with crate(log) < 0.5.0)
BuildRequires:  (crate(rayon) >= 1.0.0 with crate(rayon) < 2.0.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_cbor) >= 0.8.0 with crate(serde_cbor) < 0.9.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
BuildRequires:  (crate(serde_json) >= 1.0.0 with crate(serde_json) < 2.0.0)
BuildRequires:  (crate(serde_yaml) >= 0.7.0 with crate(serde_yaml) < 0.8.0)
BuildRequires:  (crate(toml) >= 0.4.0 with crate(toml) < 0.5.0)
# [build-dependencies]
BuildRequires:  (crate(handlebars) >= 1.0.0 with crate(handlebars) < 2.0.0)
BuildRequires:  (crate(ignore) >= 0.4.0 with crate(ignore) < 0.5.0)
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(serde_json) >= 1.0.0 with crate(serde_json) < 2.0.0)
%if %{with check}
# [dev-dependencies]
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(regex) >= 1.0.0 with crate(regex) < 2.0.0)
BuildRequires:  (crate(tempdir) >= 0.3.0 with crate(tempdir) < 0.4.0)
%endif

%description
%{summary}.

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate}
A utility that allows you to count code, quickly.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
A simple, effcient library for counting code in directories.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build -a

%install
%cargo_install -a

%if %{with check}
%check
%cargo_test -a
%endif

%files       -n %{crate}
%license LICENCE-MIT LICENCE-APACHE
%{_bindir}/tokei

%files          devel
%license LICENCE-MIT LICENCE-APACHE
%{cargo_registry}/%{crate}-%{version}/

%changelog
* Wed Jul 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.3-4
- Bump handlebars to 1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.3-2
- Update to new macro

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.3-1
- Update to 7.0.3

* Wed Feb 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-6
- Rebuild for passing %%__cargo_common_opts bug

* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-5
- Bump rayon to 1

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-4
- Bump ignore to 0.4

* Sat Feb 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-3
- Bump handlebars to 0.31

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-1
- Update to 7.0.1

* Fri Jan 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-3
- Rebuild for env_logger 0.5.2

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-2
- Rebuild for env_logger 0.5.1

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-1
- Update to 7.0.0

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-8
- Rebuild for rust-packaging v5

* Tue Jan 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-7
- Bump serde_cbor to 0.8

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-6
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-5
- Rebuild for clap 2.28.0

* Sat Nov 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-4
- Rebuild for rust-hex 0.3

* Wed Nov 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-3
- Rebuild for dependency change

* Wed Nov 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-2
- Enable all feauteres

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-1
- Initial package
